Skip to main content
GET
/
jobs
List Jobs
curl --request GET \
  --url https://cronho.st/api/v1/jobs \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "job_456",
      "scheduleId": "schedule_123",
      "status": "SUCCESS",
      "scheduledRunAtUtc": "2024-01-14T14:00:00.000Z",
      "attemptNumber": 1,
      "httpMethod": "GET",
      "endpoint": "https://api.example.com/health",
      "body": null,
      "headers": "{\"User-Agent\": \"Cronhost-Monitor\"}",
      "statusCode": 200,
      "response": "{\"status\": \"ok\", \"uptime\": 99.9}",
      "startedAtUtc": "2024-01-14T14:00:01.000Z",
      "completedAtUtc": "2024-01-14T14:00:02.500Z",
      "errorMessage": null,
      "createdAt": "2024-01-14T14:00:00.000Z",
      "updatedAt": "2024-01-14T14:00:02.500Z"
    }
  ],
  "success": true
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from the Cronhost dashboard.

Query Parameters

scheduleId
string

Filter jobs by specific schedule ID

Example:

"schedule_123"

status
enum<string>

Filter jobs by execution status

Available options:
PENDING,
RUNNING,
SUCCESS,
FAILED
Example:

"SUCCESS"

page
integer
default:1

Page number for pagination

Required range: x >= 1
Example:

1

limit
integer
default:10

Number of jobs per page

Required range: 1 <= x <= 100
Example:

20

Response

Successfully retrieved jobs

data
object[]
required
success
boolean
required
Example:

true